<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');
include ('../php_caja/totales_caja.php');
?>
<div id="resultados"></div>
</br>
<div id="ventana2">
    <div class="middle" >
        <label>
            <input type="radio" name="forma_pago" id="forma_pago" value="efectivo" checked onChange="egreso(this)"/>
            <div class="front-end box"><span>EFECTIVO</span></div>
        </label>
        <label>
            <input type="radio" name="forma_pago" id="forma_pago" value="transferencia" onChange="egreso(this)"/>
            <div class="back-end box"><span>TRANSFERENCIA</span></div>
        </label>
        <label>
            <input type="radio" name="forma_pago" id="forma_pago" value="tarjeta" onChange="egreso(this)"/>
            <div class="back-end box"><span>TARJETA</span></div>
        </label>
    </div>  
</div>
   


    <div id="div_efectivo_egre" style="display: "> 
        <form method="post" action="" id="form_egreso" name="form_egreso">
            <div class="form-group">
                <input type="hidden" id="forma_pag" name="forma_pag" value="efectivo">
                <label>Efectivo Disponible</label>
                <input type="text" name="efectivo" value="<?php echo number_format($saldoencaja,0); ?>" class="form-control name_list" autocomplete="off" readonly >
                <div class="form-group">
                    <label>Detalle</label>
                    <input type="text"  name="detalle" value="" class="form-control name_list" autocomplete="off" required>
                </div>
                <div class="form-group">
                    <label>Valor</label>
                    <input type="number" max="<?php echo $saldoencaja; ?>" name="valor" value="" class="form-control name_list" autocomplete="off" required >
                </div>
            </div>
            <div class="modal-footer" >
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                <button type="submit" class="btn btn-success" name="btn_egreso" value="btn_egreso" id="btn_egreso">Registrar</button>
            </div>
        </form>
    </div>

    <div id="div_nota_egre" style="display: none">
        <label>Nota Credito Disponible</label>
        <input type="text" name="nota_credito" id="nota_credito" value="" class="form-control name_list" autocomplete="off" readonly >
    </div>

    <div id="div_medio_pago_egre" style="display: none">
        <label>PLATAFORMA DE PAGO</label>
        <select name="medio_pago" id="medio_pago" class="form-control name_list input-sm" required  onchange="miFuncion($(this).val());">
            <option value="" disabled selected> - - </option>
            <?php
                $datos = mysqli_query($con,"SELECT * FROM banco WHERE empresa='$empresa' order by ban_nombre asc") ;
                while( $fila = mysqli_fetch_array( $datos ) )
                {
                    echo' <option value="'.$fila['ban_nombre'].'">'.$fila['ban_nombre'].'</option>';
                }
            ?>
        </select>
        <input type="hidden" id="banco">
        <div id="div_transferrencia"></div>
    </div>
</form>

<link href="css/botones_factura.css" rel="stylesheet" media="all"> <!--stylos botones efe - trans -->
        
<script>
$("#form_egreso").submit(function( event ) {
$('#btn_egreso').attr("disabled", true);
var parametros=$(this).serialize();
    $.ajax({
    type: "POST",
    url: "php_movimientos/registrar_egreso.php",
    data: parametros,
    beforeSend: function(objeto){
     $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
    },
    success: function(datos){
    $("#resultados").html(datos);
    $('#btn_egreso').attr("disabled", false);
    $('#gastos').modal('hide');
    $('body').removeClass('modal-open');
    $('.modal-backdrop').remove();
    load(1);
    loadmodal();
    }
    });
    document.getElementById("form_egreso").reset();
    event.preventDefault();
})

function egreso(sel) {
    if (sel.value=="efectivo")
    {
        divC = document.getElementById("div_nota_egre");
        divC.style.display = "none";
        divT = document.getElementById("div_medio_pago_egre");
        divT.style.display = "none";
        divT = document.getElementById("div_efectivo_egre");
        divT.style.display = "block";
    } 
    else if (sel.value=="nota credito")
    {
        divC = document.getElementById("div_nota_egre");
        divC.style.display = "";
        divT = document.getElementById("div_medio_pago_egre");
        divT.style.display = "none";
        divT = document.getElementById("div_efectivo_egre");
        divT.style.display = "none";
    } 
    else 
    {
        divC = document.getElementById("div_nota_egre");
        divC.style.display="none";
        divT = document.getElementById("div_medio_pago_egre");
        divT.style.display = "";
        divT = document.getElementById("div_efectivo_egre");
        divT.style.display = "none";
    }
}


function miFuncion(medio_pago){
$("#banco").val(medio_pago);
var forma_pago=$("#forma_pago").val();
var banco=$("#banco").val();
    $.get("./php_movimientos/form_dinero_egresos.php?banco="+banco+'&forma_pago='+forma_pago,function(data){
    $("#div_transferrencia").html(data);
  })
}
</script>